{%- if pillar.get('runtest',{}).get('openstack_version') not in ('stable/mitaka', 'stable/newton') -%}
{%- set volume_type_name = 'TestVolumeType' %}
{%- set image_properties = "[{'op':'add', 'path':'/test_property', 'value': 'test'},]" %}

cinderv3_volume_list:
  module.run:
    - name: cinderv3.volume_list
    - kwargs:
        cloud_name: admin_identity

cinderv3_volume_type_list:
  module.run:
    - name: cinderv3.volume_type_list
    - kwargs:
        cloud_name: admin_identity

cinderv3_volume_type_create:
  module.run:
    - name: cinderv3.volume_type_create
    - args:
      - {{ volume_type_name }}
    - kwargs:
        cloud_name: admin_identity

cinderv3_keys_volume_type_get:
  module.run:
    - name: cinderv3.keys_volume_type_get
    - args:
      - {{ volume_type_name }}
    - kwargs:
        cloud_name: admin_identity
    - require:
      - cinderv3_volume_type_create

cinderv3_keys_volume_type_set:
  module.run:
    - name: cinderv3.keys_volume_type_set
    - args:
      - {{ volume_type_name }}
    - kwargs:
        keys:
          key1:
            key: val1
          key2:
            key: val2
        cloud_name: admin_identity
    - require:
      - cinderv3_volume_type_create

cinderv3_volume_type_delete:
  module.run:
    - name: cinderv3.volume_type_delete
    - args:
      - {{ volume_type_name }}
    - kwargs:
        cloud_name: admin_identity
    - require:
      - cinderv3_volume_type_create

cinderv3_service_list:
  module.run:
    - name: cinderv3.service_list
    - kwargs:
        cloud_name: admin_identity

{%- endif -%}
